import { OnDestroy } from '@angular/core';
import { AlertConfig } from './alert-config';
import { Subject } from 'rxjs';
/**
 * Used internally by the alert service.
 */
export declare class AlertContainerComponent implements OnDestroy {
    alertConfig: AlertConfig;
    role: string;
    readonly className: string;
    readonly _onDestroy: Subject<any>;
    alertList: Array<AlertConfig>;
    constructor(alertConfig: AlertConfig);
    addAlert(alert: AlertConfig): string;
    removeAlert(key: string): void;
    destroy(): void;
    ngOnDestroy(): void;
}
